using AutoTurnOver.DB;
using AutoTurnOver.Services;
using Microsoft.Extensions.DependencyInjection;
using Microsoft.Extensions.Hosting;
using System;
using System.Threading.Tasks;

namespace AutoTurnOver.DownloadService
{
    class Program
    {
        static async Task Main(string[] args)
        {
            try
            {
                //await  new  TaskDownloadServices().Download();
               
            }
            catch (Exception ex)
            {

                throw;
            }

            var builder = new HostBuilder().ConfigureServices((hostContext, services) =>
            {
                services.AddHostedService<DownloadService>();
            });

            await builder.RunConsoleAsync();
        }
    }
}
